from django.db import models

# Create your models here.
from django.db import models

from websites.models import Website


class ResumeBasic(models.Model):
    resume_id = models.IntegerField(max_length=64, unique=True, db_index=True, help_text='resume_id')
    name = models.CharField(max_length=255, null=True, blank=True, help_text='姓名')
    job_region = models.CharField(max_length=255, null=True, blank=True, help_text='求职区域')
    birthday = models.CharField(max_length=255, null=True, blank=True, help_text='生日')
    education = models.CharField(max_length=255, null=True, blank=True, help_text='学历')
    school = models.CharField(max_length=255, null=True, blank=True, help_text='学校')
    expected_position = models.CharField(max_length=255, null=True, blank=True, help_text='期望职务')
    last_active_time = models.CharField(max_length=255, null=True, blank=True, help_text='最后活跃时间')
    marital_status = models.CharField(max_length=255, null=True, blank=True, help_text='婚姻')
    current_location = models.CharField(max_length=255, null=True, blank=True, help_text='现居地')
    age = models.IntegerField(null=True, blank=True, help_text='年龄')
    phone = models.CharField(max_length=255, null=True, blank=True, help_text='电话')
    gender = models.CharField(max_length=255, null=True, blank=True, help_text='性别')
    job_type = models.CharField(max_length=255, null=True, blank=True, help_text='求职类型')
    job_status = models.CharField(max_length=255, null=True, blank=True, help_text='求职状态')

    work_1_experience = models.TextField(null=True, blank=True, help_text='工作1经历')
    work_1_time = models.DateTimeField(null=True, blank=True, help_text='工作1时间')
    work_1_description = models.TextField(null=True, blank=True, help_text='工作1内容')

    work_2_experience = models.TextField(null=True, blank=True, help_text='工作2经历')
    work_2_time = models.DateTimeField(null=True, blank=True, help_text='工作2时间')
    work_2_description = models.TextField(null=True, blank=True, help_text='工作2内容')

    work_3_experience = models.TextField(null=True, blank=True, help_text='工作3经历')
    work_3_time = models.DateTimeField(null=True, blank=True, help_text='工作3时间')
    work_3_description = models.TextField(null=True, blank=True, help_text='工作3内容')

    work_4_experience = models.TextField(null=True, blank=True, help_text='工作4经历')
    work_4_time = models.DateTimeField(null=True, blank=True, help_text='工作4时间')
    work_4_description = models.TextField(null=True, blank=True, help_text='工作4内容')

    height = models.IntegerField(null=True, blank=True, help_text='身高')
    weight = models.IntegerField(null=True, blank=True, help_text='体重')
    work_years = models.IntegerField(null=True, blank=True, help_text='工作经验')
    highest_education = models.CharField(max_length=255, null=True, blank=True, help_text='最高学历')
    ethnicity = models.CharField(max_length=255, null=True, blank=True, help_text='民族')
    update_time = models.DateTimeField(null=True, blank=True, help_text='更新时间')
    job_function = models.CharField(max_length=255, null=True, blank=True, help_text='工作职能')
    intended_position = models.CharField(max_length=255, null=True, blank=True, help_text='意向岗位')
    industry = models.CharField(max_length=255, null=True, blank=True, help_text='从事行业')
    expected_salary = models.CharField(max_length=255, null=True, blank=True, help_text='期望薪资')
    available_time = models.DateTimeField(null=True, blank=True, help_text='到岗时间')
    job_property = models.CharField(max_length=255, null=True, blank=True, help_text='工作性质')
    job_location = models.CharField(max_length=255, null=True, blank=True, help_text='工作地点')
    source = models.ForeignKey(Website, null=True, blank=True, on_delete=models.SET_NULL, help_text="数据来源网站")

    def __str__(self):
        return f"{self.name} - {self.resume_id} - {self.name}"
